Subject: bug#73862: [PATCH] Add `header-line-active` and `header-line-inactive` faces.

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2024 11:37:51 +0200

> Cc: [email-masked]
> Date: Sun, 27 Oct 2024 12:46:53 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: [email-masked]
> > Date: Fri, 18 Oct 2024 05:56:32 -0700
> > 
> > Over the years I've put more and more information into the header line, and at some point I wanted to get that quick visual indicator of selected vs non-selected windows when I glanced at the header as I already got from the mode line.
> > 
> > This was surprisingly hard to achieve!  For a few years I used an ugly `buffer-list-update-hook` hack.  Then a few months ago I got adventurous and found that it actually wasn't as hard as I'd feared to hack these into the C source.
> > 
> > The new faces both inherit from the current `header-line` face, so there shouldn't be any visible impact if users don't customize the new faces.  For cases like mine it's easy to customize header-line-inactive to inherit from mode-line-inactive.
> > 
> > Thanks in advance for your attention and feedback,
> 
> Thanks.  This changeset needs the appropriate changes in the Emacs
> user manual (which lists the standard faces in "Standard Faces"), and
> also a NEWS entry that announces the change.
> 
> Also, did you verify that modes which use header-line and customize
> the header-line face still work as before after this change, both when
> the window is selected and non-selected?

Ping! Trevor, could you please answer the above question, and provide
an updated patch with documentation changes?  I'd like to install this
as soon as these issues are resolved.